/* GENERAL */

html {
    scroll-behavior: smooth;
}

body {
    background-color: #18191c;
    font-family: 'Noto Sans', Arial, sans-serif;
    color: #ffffff;
}

img {
    box-sizing: border-box;
}

nav {
    padding: 0rem;
}

p {
    font-size: 1.1rem;
    margin: 0rem;
}

.main {
    padding: 0rem 6rem;
}

.underline {
    height: .4rem;
    border-radius: .4rem;
    background-color: #C60719;
    margin-top: 0.5rem;
    margin-bottom: 3rem;
}

.section-title-h1 {
    font-size: 4rem;
    font-weight: bold;
}

.placeholder-circle {
    height: 50px;
    width: 50px;
    background-color: black;
    border: solid 5px white
}

.section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 4rem 0rem;
    min-height: 100vh;
    /* flex-wrap: wrap; */
}

/* NAVBAR */

.bg-dark {
    background-color: #18191c!important;
}

.navbar-dark .navbar-nav .nav-link {
    color: white;
    text-align: center;
    font-size: 14pt;
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link:active,
.navbar-dark .navbar-nav .nav-link:focus {
    color: #C60719;
}

/* HOME */

.section.home {
    height: 100vh;
    padding: 0rem
}

h1.home {
    font-weight: bold;
    font-size: 4.5rem;
}

a.home {
    background-color: #C60719;
    border: none;
    border-radius: .3rem;
    color: white;
    padding: 1rem 2.5rem;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin-top: .5rem;;
    cursor: pointer;
}

/* ABOUT ME */

.aboutme-row-outer {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.profilepic {
    height: auto;
    width: 28vw;
    min-width: 12rem;
    max-width: 18rem;
    border: solid 5px #C60719;
}

.aboutme-column-inner {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding-left: 1.8rem;
}

#name-text {
    font-size: 2.8rem;
    font-weight: bold;
    margin: 0rem;
}

.underline.name {
    width: 38.4rem;
    margin: .5rem 0rem;
}

.skills-row {
    display: flex;
    flex-direction: row;
    margin-top: 2rem; 
}

#skills-text {
    font-size: 1.5rem;
    font-weight: bold;
    margin-right: 2rem;
}

/* EDUCATION */

.underline.education {
    width: 18.3rem;
}

.education-row-outer {
    display: flex;
    flex-direction: row;
}

.education-column-inner {
    display: flex;
    align-items: center;
    flex-direction: column;
}

#ui-img {
    width: 40vw;
    height: auto;
    min-width: 20rem;
    max-width: 45rem;
    border: solid 5px #C60719;
}

.education-description {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 1rem 0rem;
}

#university {
    font-size: 2rem;
    font-weight: bold;
    color: #fed900;
}

#faculty {
    font-style: italic;
}

#comp {
    color: #2f318b;
    font-weight: bold;
}
#sc {
    color: #e62129;
    font-weight: bold;
}

/* PROJECTS */

.underline.projects {
    width: 14.8rem;
}

.projects-column-outer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.project-img {
    width: 30vw;
    height: auto;
    min-width: 18rem;
    border: solid 5px #C60719;
}

.projects-row-inner-left-align {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: row;
    margin-bottom: 2rem;
    text-align: left;

}

.projects-row-inner-right-align {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex-direction: row;
    text-align: right;
}

.project-name-left, .project-name-right,
.project-name-right-hidden {
    font-size: 1.5rem;
    font-weight: bold;
}

.project-name-left {
    padding-left: 1rem;
}

.project-name-right {
    padding-right: 1rem;
    justify-content: flex-end;
}

.project-name-right-hidden {
    color: #18191c;
    padding-top: 1rem;
    width: 0;
    height: 0;
}

/* INTERESTS */

.underline.interests {
    width: 16.7rem;
}

.interests-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-bottom: 2rem;
    
}

.interests-img {
    width: 20vw;
    height: auto;
    min-width: 200px;
    border: solid 5px #C60719;
}

.interest-description {
    padding-left: 1rem;
}

/* CONTACT ME */

.section.contact-me {
    text-align: center;
}

#contact-me-h1 {
    font-size: 4.5rem;
    font-weight: bold;
}

.social-media-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

#fb, #twt, #ig, #lin {
    width: 4rem;
    height: 4rem;
    margin: 1.2rem 1rem;
}

/* EXTRAS */

.section.extras {
    text-align: center;
}

.extras-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin-top: 2.5rem;
}

.extras-images {
    margin: .5rem;
    height: auto;
    width: 18vw;
}

/* MEDIA QUERY */

@media only screen and (max-width: 1130px) {
    /* ABOUT ME */
    .aboutme-row-outer {
        flex-direction: column;
    }
    .aboutme-column-inner {
        text-align: center;
        align-items: center;
        margin-top: 1rem;
        padding-left: 0;
    }
    #name-text {
        font-size: 2.5rem;
    }
    .underline.name {
        width: 34.2rem;
    }
}

@media only screen and (max-width: 786px) {
    /* ABOUT ME */
    .underline.name {
        width: 19.5rem;
    }
}

@media only screen and (max-width: 768px) {
    /* GENERAL */
    .section-title-h1 {
        font-size: 3rem;
    }

    /* ABOUT ME */
    #name-text {
        font-size: 2rem;
        font-weight: bold;
        margin: 0rem;
    }
    .underline.name {
        height: .3rem;
        width: 35vw;
    }

    /* EDUCATION */
    .underline.education {
        height: .3rem;
        width: 13.8rem;
    }
    #university {
        font-size: 1.8rem;;
    }

    /* PROJECTS */
    .underline.projects {
        height: .3rem;
        width: 11rem;
    }
    .projects-row-inner-left-align,
    .projects-row-inner-right-align {
        flex-direction: column;
    }
    .project-name-left {
        padding-left: 0;
        padding-top: 1rem;
    }
    .project-name-right {
        width: 0;
        height: 0;
    }
    .project-name-right-hidden {
        color: #ffffff;
        padding-top: 1rem;
        width: auto;
        height: auto;
    }

    /* INTERESTS */
    .underline.interests {
        height: .3rem;
        width: 12.2rem;
    }
    .interests-row {
        flex-direction: column;
        text-align: center;
    }
    .interest-description {
        padding-left: 0;
        padding-top: 1rem;
    }

    /* CONTACT ME */
    #contact-me-h1 {
        font-size: 3.5rem;
    }
    #fb, #twt, #ig, #lin {
        height: 3rem;
        width: 3rem;
    }
}